<template>
      <!-- swiper -->
      <swiper :options="swiperOption">
        <swiper-slide><img src="@/assets/images/banner/b1.jpg" alt=""></swiper-slide>
        <swiper-slide><img src="@/assets/images/banner/b2.jpg" alt=""></swiper-slide>
        <swiper-slide><img src="@/assets/images/banner/b3.jpg" alt=""></swiper-slide>
        <div class="swiper-pagination" slot="pagination"></div>
        <div class="swiper-button-prev" slot="button-prev"></div>
        <div class="swiper-button-next" slot="button-next"></div>
      </swiper>
</template>

<script>
    import 'swiper/dist/css/swiper.css'
    import { swiper, swiperSlide } from 'vue-awesome-swiper'
    export default {
        name: 'Slider',
        components: {
            swiper,
            swiperSlide
        },
        data (){
            return {
                swiperOption: {
                    slidesPerView: 1,
                    spaceBetween: 30,
                    keyboard: {
                        enabled: true,
                    },
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: true
                    },
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    }
                }
            }
        }
    }
</script>

<style scoped>

</style>